//正式环境
var httpUrl = "http://appx.51jdwy.cn:3001/";
//var httpUrl = "http://192.168.200.100:3001/";
var surl="http://www.51jdwy.cn/";
var imgurl="http://appx.51jdwy.cn:2007/showimg/";

//var imgurl="http://47.99.154.62:2007/showimg/";
var ispause=false;


(function(w){
	//登录
	w.logininfo = function(options,corpid, callback){
		mui.ajax(httpUrl+"/mobile/login/loginCheck.do",{
			data:{
				usercorp : corpid,
				parms : JSON.stringify(options),
				stime : (new Date()).getTime()
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:8000,//超时时间设置为5秒；
			success:function(data){
				if (data.status) {
					w.setUserInfo(data.userinfo);
					return callback(); 
				}else{
					flag=0;
					document.getElementById("userpwd").value='';
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast('网络链接失败！'+type);
			}
		});
	}
	 
		
	
	//主页图片
	w.loadmainpic = function(){
		var userinfo = getUserInfo();
		var options = {
			"usercorp":userinfo.usercorp,
			"userid":userinfo.user_id,
			"user_role":userinfo.user_role,
			"edition":userinfo.edition
		};		
		mui.ajax(httpUrl+'/mobile/menu/getmainpic.do',{
			data:{
				parms : JSON.stringify(options),
				stime : (new Date()).getTime()
			},
			dataType:'json',
			type:'post',
			timeout:5000,
			success:function(data){
				if (data.status) {
					loadmainpiclist(data);
				} else{
					mui.toast('加载失败！');
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast('网络链接失败！');
			}
		});
	}
	
	//默认主页图片
	w.indexmainpic = function(){
		var options = {
			"usercorp":"650425",
			"edition":"标准版"
		};		
		mui.ajax(httpUrl+'/mobile/menu/getmainpic.do',{
			data:{
				parms : JSON.stringify(options),
				stime : (new Date()).getTime()
			},
			dataType:'json',
			type:'post',
			timeout:5000,
			success:function(data){
				if (data.status) {
					loadmainpiclist(data);
				} else{
					mui.toast('加载失败！');
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast('网络链接失败！');
			}
		});
	}
	//我的模块
	w.loadrcworkmenu = function(){
		var userinfo = getUserInfo();
		var options;
		if(flagUserInfo()){
			options = {
				"usercorp":userinfo.usercorp,
				"userid":userinfo.user_id,
				"user_role":userinfo.user_role,
				"edition":userinfo.edition
			};	
		}else{
			options = {
				"usercorp":"650425",
				"userid":"admin",
				"user_role":"0",
				"edition":"标准版"
			};	
		}	
		mui.ajax(httpUrl+'/mobile/menu/rcworkmenulist.do',{
			data:{
				parms : JSON.stringify(options),
				stime : (new Date()).getTime()
			},
			dataType:'json',
			type:'post',
			timeout:5000,
			success:function(data){
				if (data.status) {
					loadrcworkmenulist(data);
				} else{
					mui.toast('加载失败！');
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast('网络链接失败！');
			}
		});
	}

	w.getSpcs= function(type,stype){
		var userinfo = getUserInfo();
		mui.ajax(httpUrl + '/mobile/select/getspcs.do', {
			data:{
				type:type,
				stype:stype,
				usercorp : userinfo.usercorp,
				stime : (new Date()).getTime()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
		});
	}
	
	//财务分析模块
	w.loadtjmenu = function(){
		var userinfo = getUserInfo();
		var options;
		if(flagUserInfo()){
			options = {
				"usercorp":userinfo.usercorp,
				"userid":userinfo.user_id,
				"user_role":userinfo.user_role,
				"edition":userinfo.edition
			};
		}else{
			options = {
				"usercorp":"650425",
				"userid":"admin",
				"user_role":"0",
				"edition":"标准版"
			};	
		}		
		mui.ajax(httpUrl+'/mobile/menu/tjmenulist.do',{
			data:{
				parms : JSON.stringify(options),
				stime : (new Date()).getTime()
			},
			dataType:'json',
			type:'post',
			timeout:5000,
			success:function(data){
				if (data.status) {
					loadtjmenulist(data);
				} else{
					mui.toast('统计分析菜单页面加载失败！');
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast('网络链接失败！');
			}
		});
	}
	
	//进销存模块
	w.loadjxcmenu = function(){
		var userinfo = getUserInfo();
		var options;
		if(flagUserInfo()){
		    options = {
			"usercorp":userinfo.usercorp,
			"userid":userinfo.user_id,
			"user_role":userinfo.user_role,
			"edition":userinfo.edition
		    };	
		}else{
			options = {
				"usercorp":"650425",
				"userid":"admin",
				"user_role":"0",
				"edition":"标准版"
			};	
		}			
		mui.ajax(httpUrl+'/mobile/menu/jxcmenulist.do',{
			data:{
				parms : JSON.stringify(options),
				stime : (new Date()).getTime()
			},
			dataType:'json',
			type:'post',
			timeout:5000,
			success:function(data){
				if (data.status) {
					loadjxcmenulist(data);
				} else{
					mui.toast('统计分析菜单页面加载失败！');
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast('网络链接失败！');
			}
		});
	}

	//查找指定年月范围内的盘点单号
	w.getPdNoteByNy= function(mend,ny){
		document.getElementById('note').innerHTML="";
		document.getElementById('note').value="";
		var userinfo = getUserInfo();
		mui.ajax(httpUrl + '/mobile/select/getpdnotebyny.do', {
			data:{
				mend : mend,
				usercorp : userinfo.usercorp,
				auth_mend : userinfo.auth_mend,
				ny : ny,
				stime : (new Date()).getTime()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
		});
	}

	w.getUserInfo = function() {
		var stateText = localStorage.getItem('$userinfo-basic') || "{}";
		return JSON.parse(stateText);
	};
	
	w.setUserInfo = function(userinfo) {
		userinfo = userinfo || {};		
		localStorage.setItem('$userinfo-basic', JSON.stringify(userinfo));
	};
	
	w.flagUserInfo=function(userinfo) {
		var stateText = localStorage.getItem('$userinfo-basic') || "{}";
		if(stateText=="{}"||stateText==null){
			return false;
		}else{
			return true;
		}		
	};
	
	w.indexUrl=function() {
		 mui.openWindow({
		 	id: '../index.html',
		 	url: '../index.html',
		 	show: {
		 		aniShow: 'pop-in'
		 	},
		 	waiting: {
		 		autoShow: false
		 	}
		 });	
	};
	
	/**
	 * 获取应用本地配置
	 **/
	w.setSettings = function(settings) {		
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	w.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}

	w.getDataList=function(pageSize,pageIndex,parms,url){
		plus.nativeUI.showWaiting("正在加载...");
				mui.ajax(httpUrl + url, {
				data:{
					parms : JSON.stringify(parms),
					"pageSize":pageSize,
					"pageIndex":pageIndex
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 15000, //超时时间设置为10秒；
				success: function(data) {
					plus.nativeUI.closeWaiting();
					loaddata(data);
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast("错误："+xhr.status);
				}
			});	
	}
		
		w.getDataListAll=function(parms,url){
			plus.nativeUI.showWaiting("正在加载...");
				mui.ajax(httpUrl + url, {
				data:{
					parms : JSON.stringify(parms)
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 5000, //超时时间设置为10秒；
				success: function(data) {
					plus.nativeUI.closeWaiting();
					loaddata(data);
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast("错误："+xhr.status);
				}
			});	
	}

	w.getMendSelect = function(parms){
			var userinfo = getUserInfo();
			mui.ajax(httpUrl + '/mobile/select/getcombqxmend.do', {
				data:{
					auth_mend:userinfo.auth_mend,
					usercorp : userinfo.usercorp,
					parms : JSON.stringify(parms)
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 5000, //超时时间设置为10秒；
				success: function(data) {
					sPicker.setData(data);
				},
				error: function(xhr, type, errorThrown) {
					console.log("error");
				}
			});
	}
	
	w.getALLMendSelect = function(parms){
			var userinfo = getUserInfo();
			mui.ajax(httpUrl + '/mobile/select/getcombqxmend.do', {
				data:{
					auth_mend:"ALL",
					usercorp : userinfo.usercorp,
					parms : JSON.stringify(parms)
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 5000, //超时时间设置为10秒；
				success: function(data) {
					sPicker.setData(data);
				},
				error: function(xhr, type, errorThrown) {
					console.log("error");
				}
			});
	}
	
	w.getGzSelect =function (mend,stype){
		mui.ajax(httpUrl + '/mobile/select/getcombgzlist.do', {
			data:{
				auth_mend:userinfo.auth_mend,
				usercorp : userinfo.usercorp,
				mend : mend,
				stype:stype
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
		});			
	}
	
	//商品扫码盘点 获取盘点设置单号
	w.getPdNote= function(){
		var userinfo = getUserInfo();
		mui.ajax(httpUrl + '/mobile/select/getpdnote.do', {
			data:{
				usercorp : userinfo.usercorp,
				auth_mend : userinfo.auth_mend,
				stime : (new Date()).getTime()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
		});
	}
	
		w.getFl = function(stype){
			var userinfo = getUserInfo();
			mui.ajax(httpUrl + '/mobile/select/getfl.do', {
			data:{
				stype:stype,
				usercorp : userinfo.usercorp,
				stime : (new Date()).getTime()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
			});
	}		
	
		//根据门店获取会员区域
	w.getHyarea = function(mend){
			var userinfo = getUserInfo();
			mui.ajax(httpUrl + '/mobile/select/gethyareabymend.do', {
			data:{
				mend:mend,
				usercorp : userinfo.usercorp,
				stime : (new Date()).getTime()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
			});
	}
		//根据门店获取会员级别
	w.getHycode = function(mend){
			var userinfo = getUserInfo();
			mui.ajax(httpUrl + '/mobile/select/gethycodebymend.do', {
			data:{
				mend:mend,
				usercorp : userinfo.usercorp,
				stime : (new Date()).getTime()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
			});
	}
	
		
	w.getGz = function(mend1){
		var userinfo = getUserInfo();
			mui.ajax(httpUrl + '/mobile/select/getgz.do', {
			data:{
				mend: mend1,
				usercorp : userinfo.usercorp,
				stime : (new Date()).getTime()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为10秒；
			success: function(data) {
				sPicker.setData(data);
			},
			error: function(xhr, type, errorThrown) {
				console.log("error");
			}
			});
	}
})(window);
